### Method

# Eog Application open_window

#### Declaration [src]

    gboolean
    eog_application_open_window (
      EogApplication* application,
      guint timestamp,
      EogStartupFlags flags,
      GError** error
    )

#### Description [src]

Opens and presents an empty `EogWindow` to the user. If there is an empty window already open, this will be used. Otherwise, a new one will be instantiated.

#### Parameters

`timestamp`

  Type: `guint`

  The timestamp of the user interaction which triggered this call (see gtk_window_present_with_time()).

`flags`

  Type: `EogStartupFlags`

  A set of `EogStartupFlags` influencing a new windows’ state.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if `application` is invalid, `TRUE` otherwise.